# $Revision: 1.29 $, $Date: 2009/03/21 16:55:47 $
#
# Conditional build:
%bcond_without	xulrunner	# without XULRunner render
%bcond_without	webkit		# without WebKit render
#
Summary:	RSS Reader for Evolution Mail
Summary(pl.UTF-8):	Czytnik kanałów informacyjnych RSS dla Evolution
Name:		evolution-rss
Version:	0.1.2
Release:	4
License:	GPL v2
Group:		X11/Applications
Source0:	http://gnome.eu.org/%{name}-%{version}.tar.gz
# Source0-md5:	a7c04b6f330c49785d34f59a19537798
Patch0:		%{name}-ac.patch
Patch1:		%{name}-libxul.patch
URL:		http://gnome.eu.org/evo/index.php/Evolution_RSS_Reader_Plugin
BuildRequires:	GConf2-devel >= 2.26.0
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	dbus-glib-devel >= 0.74
BuildRequires:	evolution-devel >= 2.26.0
BuildRequires:	gettext-devel
BuildRequires:	gtk+2-devel >= 2:2.14.0
%{?with_webkit:BuildRequires:	gtk-webkit-devel}
BuildRequires:	intltool >= 0.40.0
BuildRequires:	libglade2-devel >= 1:2.6.2
BuildRequires:	libgnomeui-devel >= 2.24.0
BuildRequires:	libsoup-devel >= 2.4.0
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.197
%{?with_xulrunner:BuildRequires:	xulrunner-devel >= 1.9-5}
Requires(post,postun):	GConf2
Requires:	evolution >= 2.26.0
Requires:	gtk+2 >= 2:2.14.0
%{?with_xulrunner:%requires_eq	xulrunner-libs}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# we have strict deps for xulrunner-libs
%define		_noautoreq	libxpcom.so

%description
RSS Reader for Evolution Mail.

%description -l pl.UTF-8
Czytnik kanałów informacyjnych RSS dla Evolution.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__intltoolize}
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{?!with_xulrunner:--disable-gecko} \
	%{?!with_webkit:--disable-webkit}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/evolution/*/plugins/liborg-gnome-evolution-rss.la

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%gconf_schema_install evolution-rss.schemas

%preun
%gconf_schema_uninstall evolution-rss.schemas

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_bindir}/evolution-import-rss
%attr(755,root,root) %{_libdir}/evolution/*/plugins/liborg-gnome-evolution-rss.so
%{_libdir}/bonobo/servers/GNOME_Evolution_RSS_2.26.server
%{_libdir}/evolution/*/plugins/org-gnome-evolution-rss.eplug
%{_libdir}/evolution/*/plugins/org-gnome-evolution-rss.xml
%{_sysconfdir}/gconf/schemas/evolution-rss.schemas
%{_datadir}/evolution/*/errors/org-gnome-evolution-rss.error
%{_datadir}/evolution/*/glade/*.glade
%{_datadir}/evolution/*/images/*.png

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: evolution-rss.spec,v $
Revision 1.29  2009/03/21 16:55:47  wolvverine
- for gnome 2.26

Revision 1.28  2009/03/21 14:15:31  wolvverine
 rel.3, STBR

Revision 1.27  2009/03/06 08:50:49  arekm
- release 2

Revision 1.26  2009/03/01 23:51:57  wolvverine
- up to 0.1.2

Revision 1.25  2009/02/12 22:12:16  megabajt
- release 4

Revision 1.24  2008/12/23 21:44:47  megabajt
- release 3

Revision 1.23  2008/11/13 17:57:58  arekm
- release 2

Revision 1.22  2008/10/14 20:21:41  megabajt
- updated to 0.1.1

Revision 1.21  2008/07/26 16:03:59  megabajt
- release 2

Revision 1.20  2008/07/09 19:08:56  megabajt
- updated to 0.1.0
- updated -ac.patch; added -libxul.patch to fix build with xulrunner 1.9
- added xulrunner and webkit bconds

Revision 1.19  2008/04/26 21:37:36  megabajt
- release 3

Revision 1.18  2008-03-14 17:28:21  megabajt
- release 2

Revision 1.17  2008-03-14 17:23:11  megabajt
- updated to 0.0.8

Revision 1.16  2008-02-09 17:24:22  wolvverine
- rel.5

Revision 1.15  2007-12-04 01:49:10  wolvverine
- up rel. 4

Revision 1.14  2007-11-27 21:12:00  megabajt
- release 3 (xulrunner 1.8.1.10)

Revision 1.13  2007-11-24 10:54:23  glen
- better comment

Revision 1.12  2007-11-23 17:22:26  megabajt
- updated deps
- don't require libxpcom.so
- cleanup

Revision 1.11  2007-11-18 18:21:46  arekm
- rel 2

Revision 1.10  2007-10-20 02:09:10  wolvverine
- up to 0.0.6

Revision 1.9  2007/10/13 23:15:51  baggins
- 0.0.5
- fix autoconf snafus
- updated BR
- updated files

Revision 1.8  2007/09/03 15:43:45  qboosh
- removed ac/am BRs

Revision 1.7  2007/09/03 15:34:10  baggins
- rel 3
- don't regenerate ac/am

Revision 1.6  2007/09/03 14:50:35  baggins
- rel 2

Revision 1.5  2007/07/06 21:56:52  qboosh
- unified

Revision 1.4  2007/07/04 13:03:21  wolvverine
- rel 1

Revision 1.3  2007/07/04 12:58:32  wolvverine
- add lost dir

Revision 1.2  2007/07/04 12:26:08  wolvverine
- add lost files, gladedir

Revision 1.1  2007/07/04 02:30:12  wolvverine
- init, NFY
